Liam Flynn Liam Flynn - 2 months ago 19
C++ Question

How to overcome "'aclocal-1.15' is missing on your system" warning when compiling?

Im trying to run a c++ program on github. (available at the following link

I have a mac, and am trying to run it in the terminal. I think I have downloaded autoconf and automake but am not sure. To run the program I am going to the correct folder in terminal then running

./configure && make

But I get the error:

WARNING: 'aclocal-1.15' is missing on your system.
You should only need it if you modified 'acinclude.m4' or
'' or m4 files included by ''.
The 'aclocal' program is part of the GNU Automake package:
It also requires GNU Autoconf, GNU m4 and Perl in order to run: make: *** [aclocal.m4] Error 127

I have xcode and g++ and all the things required to run c programs, but as is probably obvious, I have no idea what Im doing.

What is the easiest, simplest way to run the program in the above link? I realise it comes with a readme and example usage but I can not get that to work.


Install aclocal which comes with automake:

brew install automake

Try again:

./configure && make